
QGIS Application - Bug report #15883

Rotate Point Symbols not working

2016-11-23 03:32 AM - Andre Jesus

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23801

Description

Case 1: Working

1. Create new feature

2. Rotate symbol using Rotate Point Symbols

3. Save Layers Edits

Case 2: Not Working

1. Create new feature

2. Save Layers Edits (rotate angle is null)

3. Toggle Editing

4. Rotate symbol using Rotate Point Symbols

5. Save Layers Edits

Case 3: Working

1. Toggle Editing

2. Rotate already existing and rotated symbol using Rotate Point Symbols

3. Save Layers Edits

Rotate Point Symbols only works when creating or editing a existing rotated feature but not when editing an existing one if the original

rotation value is null.

QGIS 2.8.6 tested and fully working.

History

#1 - 2016-11-23 04:03 PM - Nyall Dawson

- Status changed from Open to Feedback

Works correctly here (using a shapefile). Can you do some more digging to see exactly what triggers this, or share a project & data file demonstrating the

issue?

#2 - 2016-11-24 04:01 AM - Andre Jesus

Yes, you are right. Yesterday I tested Shapefiles and SQLite and both worked fine.

So, today I recreated all (spatial) indexes and it seems to correct the problem. I can't think the reason It worked tho...

Data source: MS SQL Server 2016.
#3 - 2016-12-12 06:53 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
